/*
 * This file is part of FM Radio
 *
 * Copyright (C) 2007 Nokia Corporation.  All rights reserved.
 *
 * This software, including documentation is protected by copyright controlled
 * by Nokia Corporation.  All rights are reserved.  Copying, including
 * reproducing, storing, adapting or translating, any or all of this material
 * requires the prior written consent of Nokia Corporation.  This material
 * also contains confidential information which may not be disclosed to others
 * without the prior written consent of Nokia
 */

/*
 * fm_radio_utils.h
 * Header file for fm_radio_utils.c
 */

#ifndef __FMRADIO_FM_RADIO_UTILS_H_
#define __FMRADIO_FM_RADIO_UTILS_H_

#define RADIO_DEVICE "/dev/radio0"
#define FRU_MAX_VOLUME 100.0
#define FRU_MIN_VOLUME 0.0
#define FRU_GAIN_HP 0
#define FRU_GAIN_LS 1
#define GCONF_SAVE_VOLUME "/apps/maemo/fmradio/save_volume"
#define GCONF_MASTER_VOLUME "/apps/osso/sound/master_volume"
#define GCONF_SPEAKER "/apps/maemo/fmradio/speaker"

int fm_poweroff(void);
int fm_set_freq(float freq);
int fm_audio_mute(void);
int fm_audio_unmute(void);
int fm_radio_getsignal(void);

/*
 * volume range for 0.0-1.0 (float)
*/
float fm_get_volume(void);
int fm_set_volume(float vol);
void switch_gain_fun(int in);

#endif
